Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Enum Class RightType

java.lang.Object
java.lang.Enum<RightType>
ru.bitel.bgbilling.kernel.bgsecure.common.bean.RightType

All Implemented Interfaces:
  `Serializable`, `Comparable<RightType>`, `Constable`

public enum RightType extends Enum<RightType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  `SYSTEM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getCode()`
  `static RightType`
  `getRightTypeByCode(byte code)`
  `static RightType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RightType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SYSTEM

    public static final RightType SYSTEM

  - ### CUSTOM

    public static final RightType CUSTOM

- ## Method Details

  - ### values

    public static RightType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RightType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public byte getCode()

  - ### getRightTypeByCode

    public static RightType getRightTypeByCode(byte code)